> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/dsx-air/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/dsx-air/_mcp/server.

# List system nodes

GET https://api.dsx-air.nvidia.com/api/v3/systems/nodes/

List system nodes visible to your account.

Reference: https://docs.nvidia.com/dsx-air/api-reference/systems/api-v-3-systems-nodes-list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `category` (enum, optional) — The Air specific category the node belongs to. * `` - None * `SERVER` - Server * `SWITCH` - Switch * `OOB_SERVER` - OOB Management Server * `OOB_SWITCH` - OOB Management Switch
  - Allowed values: ``, `OOB_SERVER`, `OOB_SWITCH`, `SERVER`, `SWITCH`
- `id` (string, optional)
- `image` (string, optional) — Lookup all system nodes for a specific `image`.
- `labels__group` (string, optional) — Filter by the `group` label.
- `labels__model` (string, optional) — Filter by the `model` label.
- `labels__sku` (string, optional) — Filter by the `sku` label.
- `limit` (integer, optional) — Number of results to return per page.
- `name` (string, optional)
- `offset` (integer, optional) — The initial index from which to return the results.
- `ordering` (enum, optional) — Order objects by field. Prefix with `-` for descending order.
  - Allowed values: `-category`, `-cpu`, `-created`, `-id`, `-image`, `-memory`, `-name`, `-simulation`, `-storage`, `category`, `cpu`, `created`, `id`, `image`, `memory`, `name`, `simulation`, `storage`
- `search` (string, optional) — Search by `name`.
- `simulation` (string, optional) — Lookup all system nodes for a specific `simulation` value, or provide null (a string literal) to filter for nodes that are not associated with a specific simulation (i.e. simulation=null). To filter for all nodes with EITHER simulation=null or simulation=\<sim\_uuid>, provide `?simulation=<sim_uuid>,null` as your query parameter.

## Response

### 200

- `count` (integer, required)
- `results` (list of object, required)
  - `id` (string, required)
  - `created` (datetime, required)
  - `modified` (datetime, required)
  - `name` (string, required)
  - `image` (string, required) — The image representing the operating system of the node.
  - `simulation` (string, optional, nullable) — The simulation which owns the template node. If null, the template node will be globally available.
  - `memory` (integer, optional) — RAM, in MiB.
  - `storage` (integer, optional) — Disk space, in GB.
  - `cpu` (integer, optional) — Number of CPU cores.
  - `category` (enum or enum, optional) — The Air specific category the node belongs to. * `` - None * `SERVER` - Server * `SWITCH` - Switch * `OOB_SERVER` - OOB Management Server * `OOB_SWITCH` - OOB Management Switch
  - `labels` (object, optional) — Labels associated with the system node.
    - `group` (string, optional) — The group of the node.
    - `model` (string, optional) — The model of the node.
    - `sku` (string, optional) — The SKU of the node.
    - `rack_name` (string, optional) — The name of the rack the node is part of.
    - `rack_unit` (integer, optional) — The unit number within a rack for the node.
    - `scalable_unit` (integer, optional) — The scalable unit number that the node belongs to.
    - `rail_index` (integer, optional) — The rail index that the node belongs to.
    - `data_hall` (string, optional) — The name of the data hall that the node is part of.
    - `tray_index` (integer, optional) — The tray index of the node.
    - `role` (string, optional) — The role of the node, e.g. leaf.
    - `pod` (integer, optional) — The pod number that the node belongs to.
    - `superspine_group` (integer, optional) — The superspine group number that the node belongs to.
    - `plane_id` (integer, optional) — Plane identifier in a multi-plane fabric.
  - `split_options` (any, optional, nullable) — A list of possible split options for interfaces for this node
- `next` (string, optional, nullable)
- `previous` (string, optional, nullable)

## Errors

### 400 Bad Request Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `type` (enum, required) — Specific type of a 400 error. * `PROTECTED` - Instance may not be deleted as it is being referenced by other instances. * `VALIDATION` - Validation errors encountered during payload processing.
  - Allowed values: `PROTECTED`, `VALIDATION`
- `protected_instances` (list of object, optional) — Instances which bar the current instance from being deleted. Only defined when `type` is set to `PROTECTED`.
  - `id` (string, required) — ID of the instance.
  - `type` (string, required) — Type of the instance.
- `validation_errors` (map from string to list of object or object or map from string to any or list of object, optional) — Validation errors encountered during payload processing. Only defined when `type` is set to `VALIDATION`.

### 403 Forbidden Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.

### 500 Internal Server Error

- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `code` (string, required) — Error code which identifies the error. Should be provided when opening a support case.
- `detail` (string, optional, default: An unexpected error has occurred. Please contact NVIDIA Air support for further assistance.) — Description of an error.

## Examples

**Response**

```json
{
  "count": 123,
  "results": [
    {
      "id": "string",
      "created": "2024-01-15T09:30:00Z",
      "modified": "2024-01-15T09:30:00Z",
      "name": "string",
      "image": "string",
      "simulation": "string",
      "memory": 1,
      "storage": 1,
      "cpu": 1,
      "category": "SERVER",
      "labels": {
        "group": "string",
        "model": "string",
        "sku": "string",
        "rack_name": "string",
        "rack_unit": 1,
        "scalable_unit": 1,
        "rail_index": 1,
        "data_hall": "string",
        "tray_index": 1,
        "role": "string",
        "pod": 1,
        "superspine_group": 1,
        "plane_id": 1
      },
      "split_options": null
    }
  ],
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100"
}
```

**SDK Code**

```python
import requests

url = "https://api.dsx-air.nvidia.com/api/v3/systems/nodes/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dsx-air.nvidia.com/api/v3/systems/nodes/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dsx-air.nvidia.com/api/v3/systems/nodes/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dsx-air.nvidia.com/api/v3/systems/nodes/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.dsx-air.nvidia.com/api/v3/systems/nodes/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.dsx-air.nvidia.com/api/v3/systems/nodes/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dsx-air.nvidia.com/api/v3/systems/nodes/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dsx-air.nvidia.com/api/v3/systems/nodes/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```